Subject: bug#10654: 24.0.93; isearch-yank-line moved from C-y

From: "Aaron S. Hawley" <[email-masked]>
Date: Mon, 30 Jan 2012 15:19:29 -0500

On 1/30/12, Glenn Morris <[email-masked]> wrote:
> "Aaron S. Hawley" wrote:
>
>> I don't have any data to support that C-y is popular.
>
> The weight of opinion seems to be against you.

This is what I expected.

Thanks for tracking down the threads, Glenn.

It would seem the binding for hitting C-y in Isearch to yank the rest
of the line existed ever since Daniel LaLiberte wrote Isearch 20 years
ago.  I guess its time has come.  This means hitting C-k C-/ C-s C-y
rather than C-s C-y.  I can relinquish that C-y in Isearch wasn't
consistent with global C-y in Emacs, but if word and character yanking
are on C-w and C-M-y, respectively, it seems like line-yanking should
be on a better binding than M-s C-e.

Thanks again,
aaron

> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7700#11
>   I've always found the C-y binding in isearch "useless" and
>   counter-intuitive. I'd much rather make C-y and M-y behave like they
>   do in the minibuffer.
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8183#5
>   While I'm sure there's someone in the world who has a use for
>   searching for the entire next line, there are many, many more people
>   who find it useful to search for items from the kill ring.
>
> http://lists.gnu.org/archive/html/emacs-devel/2008-11/msg00687.html
>   I was reluctant about it in the first place.
>
>> I can confirm that putting `isearch-yank-line' to the `M-s C-e'
>> binding is unsatisfying (M-s C-k makes more sense).
>
> Here is the motivation:
> http://lists.gnu.org/archive/html/emacs-devel/2008-11/msg00606.html
>    bind `isearch-yank-line' to `M-s C-e' because `move-end-of-line' is
>    on `C-e'.

-- 
In general, we reserve the right to have a poor
memory--the computer, however, is supposed to
remember!  Poor computer.  -- Guy Lewis Steele Jr.